Bug 16288 - Edifact sysprefs EDIfactEAN and EDIInvoicesShippingBudget problems
Summary: Edifact sysprefs EDIfactEAN and EDIInvoicesShippingBudget problems
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Colin Campbell
QA Contact: Testopia
URL:
Keywords:
Depends on: 7736
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-18 19:00 UTC by Tomás Cohen Arazi
Modified: 2019-06-27 09:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (885 bytes, patch)
2016-05-13 09:20 UTC, Colin Campbell
Details | Diff | Splinter Review
Proposed patch (2.02 KB, patch)
2016-05-13 09:21 UTC, Colin Campbell
Details | Diff | Splinter Review
Bug 16288: Remove Reference to obsolete EAN syspref (935 bytes, patch)
2016-05-13 13:08 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 16288: Remove unused EDI Shipping Budget syspref (2.06 KB, patch)
2016-05-13 13:08 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 16288: (QA followup) Remove the syspref INSERT line (2.07 KB, patch)
2016-05-13 13:09 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 16288: Remove Reference to obsolete EAN syspref (1009 bytes, patch)
2016-05-16 11:06 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16288: Remove unused EDI Shipping Budget syspref (2.13 KB, patch)
2016-05-16 11:06 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16288: (QA followup) Remove the syspref INSERT line (2.14 KB, patch)
2016-05-16 11:06 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16288: Remove EDIInvoicesShippingBudget for devs (804 bytes, patch)
2016-05-16 11:06 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-04-18 19:00:04 UTC
Bug 7736 introduced this two problematic sysprefs:

EDIInvoicesShippingBudget:

* sysprefs.sql: YAY!
* updatedatabase.pl: YAY!
* acquisitions.pref: BOOOOO, missing
* The syspref is not actually used:
To reproduce:
- Run
  $ git grep EDIInvoicesShippingBudget
=> FAIL: Only shows in sysprefs.sql and updatedatabase.pl

EDIfactEAN:

* sysprefs.sql: BOOOOO, missing
* updatedatabase.pl: BOOOOO, missing
* acquisitions.pref: BOOOOO, missing
* The syspref is actually used:
To reproduce:
- Run
  $ git grep EDIfactEAN
=> FAIL: The not-introduced syspref is actually used:
Koha/EDI.pm:    $ean ||= C4::Context->preference('EDIfactEAN');
Comment 1 Colin Campbell 2016-05-13 09:20:50 UTC Comment hidden (obsolete)
Comment 2 Colin Campbell 2016-05-13 09:21:55 UTC Comment hidden (obsolete)
Comment 3 Tomás Cohen Arazi 2016-05-13 13:08:46 UTC Comment hidden (obsolete)
Comment 4 Tomás Cohen Arazi 2016-05-13 13:08:54 UTC Comment hidden (obsolete)
Comment 5 Tomás Cohen Arazi 2016-05-13 13:09:02 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2016-05-16 11:06:35 UTC
Created attachment 51518 [details] [review]
Bug 16288: Remove Reference to obsolete EAN syspref

Remove reference to obsolete syspref EDIfactEAN
which was present in earlier test version of
EDI code but should not now be used

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2016-05-16 11:06:41 UTC
Created attachment 51519 [details] [review]
Bug 16288: Remove unused EDI Shipping Budget syspref

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 8 Jonathan Druart 2016-05-16 11:06:45 UTC
Created attachment 51520 [details] [review]
Bug 16288: (QA followup) Remove the syspref INSERT line

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 9 Jonathan Druart 2016-05-16 11:06:49 UTC
Created attachment 51521 [details] [review]
Bug 16288: Remove EDIInvoicesShippingBudget for devs

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 10 Kyle M Hall 2016-05-16 17:16:30 UTC
Pushed to master for Koha 16.05, thanks Colin, Tomas!
Comment 11 Julian Maurice 2016-05-16 17:23:53 UTC
Not needed in stable versions, status changed to RESOLVED